Revoke a capability
DELETE
/v1/capabilities/{id}Path parameters
idstringrequiredThe record id.
Responses
200Revoked.
404No such capability.
typestringrequiredCoarse error class (e.g. `AbloValidationError`, `AbloPermissionError`).
codestringStable machine code for the specific error.
paramstringOffending model/field path, when parameter-specific.
messagestringrequiredHuman-readable explanation.
doc_urlstringLink to the docs page for this code.
request_idstringRequest correlation id, echoed on the `x-request-id` response header.
Request
curl -X DELETE "https://api.abloatai.com/api/v1/capabilities/string"const response = await fetch("https://api.abloatai.com/api/v1/capabilities/string", {
method: "DELETE"
});import requests
response = requests.delete(
"https://api.abloatai.com/api/v1/capabilities/string",
)Response
Revoked.
{
"type": "string",
"code": "string",
"param": "string",
"message": "string",
"doc_url": "string",
"request_id": "string"
}